{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block body %}
<div class="formulaire">
    <form class= "formu" method="post">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                Vous êtes inscrit en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se deconnecter</a>
            </div>
        {% endif %}

        <h2 class="h3 mb-3 font-weight-normal">Se connecter</h2>
    
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
        <label for="inputPassword">Mot de passe</label>
        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

        <input type="hidden" name="_csrf_token"
            value="{{ csrf_token('authenticate') }}"
        >

        {#
            Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
            See https://symfony.com/doc/current/security/remember_me.html

            <div class="checkbox mb-3">
                <label>
                    <input type="checkbox" name="_remember_me"> Remember me
                </label>
            </div>
        #}

        <button class="btn btn-lg btn-primary" type="submit">
            Valider
        </button>
        
    </form>
</div>
{% endblock %}
